<?php

/*
 * Contains code copied from and/or based on Divi
 * See the license.txt file in the root directory for more information and licenses
 *
 */


get_header();

if (is_post_type_archive('podcast') or is_tax('podcast-category')) {
    get_template_part('templates/archive-podcast', 'index');
    exit;
}
if (is_home() or is_category()) {
    get_template_part('templates/blog-archive', 'index');
    exit;
}
?>

    <div id="main-content">

        <?php
        // display header if current page is archive, search result page or blog page
        if (is_tag() || is_author() || is_archive() || is_search()) {
            include('templates/archive-header.php');
        }
        ?>

        <div class="container">
            <div id="content-area" class="clearfix">

                <div class="post-feed-flexbox-wrapper">

                    <?php
                    if (have_posts()) :
                    while (have_posts()) :
                        the_post(); ?>

                        <?php
                        // check if post is podcast
                        if ('podcast' == get_post_type()) {
                            // and get podcast template
                            include('templates/podcast-box.php');
                        } else {
                            // else get blog template
                            include('templates/blog-box.php');
                        }
                        ?>
                    <?php endwhile; ?>

                </div>

                <?php
                if (function_exists('wp_pagenavi'))
                    wp_pagenavi(); else
                    get_template_part('includes/navigation', 'index');
                else : get_template_part('includes/no-results', 'index');
                endif;
                ?>

            </div> <!-- content-area -->
        </div> <!-- container -->
    </div> <!-- main-content -->


<?php get_footer(); ?>