<?php

$h1_home = __('All Posts', 'divipodcast');

$h1_podcast = __('All Podcasts', 'divipodcast');

$h1_tag = function () {
    return sprintf(__('Posts Tagged %s', 'divipodcast'), single_term_title(null, false));
};

$h1_category = function () {
    return single_cat_title(null, false);
};

$h1_author = function () {
    return sprintf(__('Articles Posted by %s', 'divipodcast'), get_the_author_meta('display_name'));
};

$h1_archive = function () {
    return get_the_archive_title();
};

$h1_search = function () {
    return sprintf(__('Search Results for %s', 'divipodcast'), get_search_query());
};

$bg_image = function () {

    if (is_post_type_archive('podcast') or is_tax('podcast-category')) {
        if (!empty(get_theme_mod('podcast_bg_image'))) {
            $img_path = get_theme_mod('podcast_bg_image');
        } else {
            $img_path = get_stylesheet_directory_uri() . '/images/img-hero-podcasts.png';
        }
        return 'style="background-image: url(' . $img_path . ');" ';
    }
    if (is_home() or is_category()) {
        if (!empty(get_theme_mod('blog_bg_image'))) {
            $img_path = get_theme_mod('blog_bg_image');
        } else {
            $img_path = get_stylesheet_directory_uri() . '/images/img-hero-blog.png';
        }
        return 'style="background-image: url(' . esc_url($img_path) . ');" ';
    }
};
?>

<div class="index-archive-header divi-podcast-overlay" <?php echo et_core_intentionally_unescaped($bg_image(), 'html') ?>>
    <div class="container">

		<?php if (is_home()): ?>
            <h1><?php esc_html_e($h1_home) ?></h1>

		<?php elseif (is_tag()): ?>
            <h1><?php esc_html_e($h1_tag()) ?></h1>

		<?php elseif (is_category()): ?>
            <h1><?php esc_html_e($h1_category()) ?></h1>

		<?php elseif (is_author()): ?>
            <h1><?php esc_html_e($h1_author()) ?></h1>

		<?php elseif (is_post_type_archive('podcast')): ?>
            <h1><?php esc_html_e($h1_podcast) ?></h1>

		<?php elseif (is_archive()): ?>
            <h1><?php esc_html_e($h1_archive()) ?></h1>

		<?php elseif (is_search()): ?>
            <h1><?php esc_html_e($h1_search()) ?></h1>

		<?php endif; ?>

    </div>
</div>
