<?php
/**
 *
 * This file contains code from the Tribe Events Calendar addon.
 *  Copyright Modern Tribe Inc; released under the GNU General Public License (GPL) version 2.
 *
 *
 * Default Events Template
 * This file is the basic wrapper template for all the views if 'Default Events Template'
 * is selected in Events -> Settings -> Display -> Events Template.
 *
 * @package TribeEventsCalendar
 * @version 4.6.23
 *
 */

if (!defined('ABSPATH')) {
    die('-1');
}

get_header();

$bg_image = function () {
    if (!empty(get_theme_mod('event_bg_image'))) {
        $img_path = get_theme_mod('event_bg_image');
    } else {
        $img_path = get_stylesheet_directory_uri() . '/images/img-hero-event.png';
    }
    return 'style="background-image: url(' . esc_url($img_path) . ');" ';
};
?>

<?php if (is_archive()) { ?>
    <div id="events-page-header"
         class="et_pb_section dark-background-color divi-podcast-pageHeader divi-podcast-overlay" <?php et_core_intentionally_unescaped($bg_image(), 'html'); ?>>
        <div class="et_pb_row">
            <div class="et_pb_module et_pb_text   et_pb_text_align_center et_pb_bg_layout_dark">
                <h1> <?php echo esc_html__('All Events', 'divipodcast'); ?></h1>
            </div> <!-- .et_pb_text -->
        </div> <!-- .et_pb_row -->
    </div>
<?php } ?>

    <main id="tribe-events-pg-template" class="tribe-events-pg-template ">
        <?php tribe_events_before_html(); ?>
        <?php tribe_get_view(); ?>
        <?php tribe_events_after_html(); ?>
    </main> <!-- #atribe-events-pg-template -->
<?php
get_footer();
