<?php
/**
 *
 * This file contains code from the Tribe Events Calendar addon.
 *  Copyright Modern Tribe Inc; released under the GNU General Public License (GPL) version 2.
 *
 *
 * Single Event Meta (Organizer) Template
 *
 * @package TribeEventsCalendar
 * @version 4.6.19
 */

$organizer_ids = tribe_get_organizer_ids();
$multiple = count($organizer_ids) > 1;

$phone = tribe_get_organizer_phone();
$email = tribe_get_organizer_email();
$website = tribe_get_organizer_website_link();
$organizer_id = tribe_get_organizer_id();

//function divipodcast_organizer_thumbnail($postId = null)
//{
//    $postId = TribeEvents::postIdHelper($postId);
//    $image = get_the_post_thumbnail($postId, 'thumbnail');
//    if (!empty($image)) {
//        return '<div class="organizer-thumbnail">' . $image . '</div>';
//    }
//}

?>

<div class="tribe-events-meta-group tribe-events-meta-group-organizer">
    <h2 class="tribe-events-single-section-title"><?php echo esc_html(tribe_get_organizer_label(!$multiple)); ?></h2>
    <div class="tribe-organizer-wrapper">
        <?php
        do_action('tribe_events_single_meta_organizer_section_start');

        foreach ($organizer_ids as $organizer) {
            if (!$organizer) {
                continue;
            }
            $image = get_the_post_thumbnail($organizer, 'thumbnail', array('class' => 'organizer-avatar'));
            $organizerLink = esc_url(get_permalink($organizer));
            $content = get_post_field('post_content', $organizer);

            ?>
            <div class="tribe-organizer">
                <?php
                // Thumbnail
                if (!empty($image)) {
                    echo '<a href="'. esc_url($organizerLink). '" rel="bookmark">' . et_core_intentionally_unescaped($image, 'html') . '</a>';
                }
                // Name
                // phpcs:ignore
                echo '<h3 class="organizer-name"><a href="'. esc_url($organizerLink). '">' . tribe_get_organizer($organizer) . '</a></h3>';
                // Content
                if (!empty($content)) {
                    echo '<p>' . esc_html($content). '</p>';
                }
                ?>
            </div>
            <?php
        } // End foreach

        if (!$multiple) { // only show organizer details if there is one
            echo "<dl>";
            if (!empty($phone)) {
                ?>
                <dt class="tribe-organizer-tel-label">
                    <?php esc_html_e('Phone:', 'the-events-calendar') ?>
                </dt>
                <dd class="tribe-organizer-tel">
                    <?php echo esc_html($phone); ?>
                </dd>
                <?php
            }//end if

            if (!empty($email)) {
                ?>
                <dt class="tribe-organizer-email-label">
                    <?php esc_html_e('Email:', 'the-events-calendar') ?>
                </dt>
                <dd class="tribe-organizer-email">
                    <?php echo esc_html($email); ?>
                </dd>
                <?php
            }//end if

            if (!empty($website)) {
                ?>
                <dt class="tribe-organizer-url-label">
                    <?php esc_html_e('Website:', 'the-events-calendar') ?>
                </dt>
                <dd class="tribe-organizer-url">
                    <?php echo et_core_intentionally_unescaped($website, 'html'); ?>
                </dd>
                <?php
            }//end if
            echo "</dl>";
        }//end if

        do_action('tribe_events_single_meta_organizer_section_end');
        ?>

    </div> <!-- tribe-organizer-wrapper -->
</div>
