<?php
/**
 *
 * This file contains code from the Tribe Events Calendar Pro addon.
 *  Copyright Modern Tribe Inc; released under the GNU General Public License (GPL) version 2.
 *
 * Map View Single Event
 * This file contains one event in the map
 *
 *
 * @version 4.4.20
 */

if (!defined('ABSPATH')) {
    die('-1');
}

global $post;

$venue_details = tribe_get_venue_details();

// Venue microformats
$has_venue = ($venue_details) ? ' vcard' : '';
$has_venue_address = (!empty($venue_details['address'])) ? ' location' : '';
?>

    <div class="event-thumb-wrapper">
        <!-- Event Image -->
        <?php echo et_core_intentionally_unescaped(tribe_event_featured_image(null, 'medium'), 'html'); ?>


        <?php if (tribe_get_cost()) : ?>
            <div class="tribe-events-event-cost">
                <span class="ticket-cost <?php if (tribe_get_cost() == 0) echo "free-ticket"; ?>"><?php echo esc_html(tribe_get_cost(null, true)); ?></span>
                <?php
                /** This action is documented in the-events-calendar/src/views/list/single-event.php */
                do_action('tribe_events_inside_cost')
                ?>
            </div>
        <?php endif; ?>
    </div>

    <div class="event-content-wrapper">

        <!-- Event Meta -->
        <?php do_action('tribe_events_before_the_meta') ?>
        <div class="tribe-events-event-meta <?php echo esc_attr($has_venue . $has_venue_address); ?>">

            <?php if ($venue_details) : ?>
                <!-- Venue Display Info -->
                <div class="tribe-events-venue-details">
                    <?php
                    // phpcs:ignore
                    echo implode(', ', $venue_details); ?>
                </div> <!-- .tribe-events-venue-details -->
            <?php endif; ?>

            <!-- Schedule & Recurrence Details -->
            <div class="published time-details">
                <?php echo et_core_intentionally_unescaped(tribe_events_event_schedule_details(), 'html'); ?>
            </div>


        </div><!-- .tribe-events-event-meta -->

        <?php do_action('tribe_events_after_the_meta') ?>

        <!-- Event Title -->
        <?php do_action('tribe_events_before_the_event_title') ?>

        <!-- Event Distance -->
        <?php echo et_core_intentionally_unescaped(tribe_event_distance(), 'html'); ?>

        <h2 class="tribe-events-map-event-title">
            <a class="tribe-event-url" href="<?php echo esc_url(tribe_get_event_link()); ?>"
               title="<?php the_title() ?>" rel="bookmark">
                <?php the_title() ?>
            </a>
        </h2>
        <?php do_action('tribe_events_after_the_event_title') ?>


        <!-- Event Content -->
        <?php do_action('tribe_events_before_the_content') ?>
        <div class="tribe-events-map-event-description tribe-events-content description entry-summary">
            <?php echo et_core_intentionally_unescaped(tribe_events_get_the_excerpt(), 'html'); ?>
            <!--        <a href="-->
            <?php //echo esc_url( tribe_get_event_link() ); ?><!--" class="tribe-events-read-more" rel="bookmark">-->
            <?php //esc_html_e( 'Find out more', 'tribe-events-calendar-pro' ) ?><!-- &raquo;</a>-->
        </div><!-- .tribe-events-map-event-description -->

    </div>
<?php
do_action('tribe_events_after_the_content');
