<?php
/**
 *  This file contains code from the Tribe Events Calendar Pro addon.
 *  Copyright Modern Tribe Inc; released under the GNU General Public License (GPL) version 2.
 *
 * Photo View Single Event
 * This file contains one event in the photo view
 *
 *
 * @package TribeEventsCalendar
 * @version 4.4.8
 */

if (!defined('ABSPATH')) {
    die('-1');
} ?>

<?php

global $post;

?>

<div class="tribe-events-photo-event-wrap">

    <div class="event-photo-thumb-wrapper">

        <?php echo et_core_intentionally_unescaped(tribe_event_featured_image(null, 'medium'), 'html'); ?>

        <?php if (tribe_get_cost()) : ?>
            <div class="tribe-events-event-cost">
                <span class="ticket-cost <?php if (tribe_get_cost() == 0) echo "free-ticket"; ?>"><?php echo esc_html(tribe_get_cost(null, true)); ?></span>
                <?php
                /** This action is documented in the-events-calendar/src/views/list/single-event.php */
                do_action('tribe_events_inside_cost')
                ?>
            </div>
        <?php endif; ?>
    </div>

    <div class="tribe-events-event-details tribe-clearfix">

        <!-- Event Meta -->
        <?php do_action('tribe_events_before_the_meta'); ?>
        <div class="tribe-events-event-meta">

            <?php
            /* If we have city, then show city */
            if (tribe_get_city()) {
                $venue = tribe_get_city();
            }
            // phpcs:ignore
            echo '<p class="tribe-event-city">' . $venue . "</p>";
            ?>

            <div class="tribe-event-schedule-details">
                <?php if (!empty($post->distance)) : ?>
                    <strong>[<?php echo esc_html(tribe_get_distance_with_unit($post->distance)); ?>]</strong>
                <?php endif; ?>
                <?php echo et_core_intentionally_unescaped(tribe_events_event_schedule_details(), 'html'); ?>
            </div>
        </div><!-- .tribe-events-event-meta -->
        <?php do_action('tribe_events_after_the_meta'); ?>


        <!-- Event Title -->
        <?php do_action('tribe_events_before_the_event_title'); ?>
        <h2 class="tribe-events-list-event-title">
            <a class="tribe-event-url" href="<?php echo esc_url(tribe_get_event_link()); ?>"
               title="<?php the_title() ?>" rel="bookmark">
                <?php the_title(); ?>
            </a>
        </h2>
        <?php do_action('tribe_events_after_the_event_title'); ?>

        <!-- Event Content -->
        <?php do_action('tribe_events_before_the_content'); ?>
        <div class="tribe-events-list-photo-description tribe-events-content">
            <?php echo et_core_intentionally_unescaped(tribe_events_get_the_excerpt(), 'html'); ?>
        </div>
        <?php do_action('tribe_events_after_the_content') ?>

    </div><!-- /.tribe-events-event-details -->

</div><!-- /.tribe-events-photo-event-wrap -->
