<?php
/**
 *
 * This file contains modified code from and/or based from the Tribe Events Calendar addon.
 *  Copyright Modern Tribe Inc; released under the GNU General Public License (GPL) version 2.
 *
 *
 *
 * Single Event Template
 * A single event. This displays the event title, description, meta, and
 * optionally, the Google map for the event.
 *
 * @package TribeEventsCalendar
 * @version 4.6.19
 *
 */

if (!defined('ABSPATH')) {
    die('-1');
}

$events_label_singular = tribe_get_event_label_singular();
$events_label_plural = tribe_get_event_label_plural();
$event_id = get_the_ID();
?>

<div id="tribe-events-content" class="tribe-events-single">
    <div <?php tribe_events_the_header_attributes() ?> class="divi-podcast-event-top"
                                                       style="background-image:url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>)">
        <div class="container">
            <?php echo et_core_intentionally_unescaped(tribe_events_event_schedule_details($event_id, '<p class="event-date">', '</p>'), 'html'); ?>

            <?php the_title('<h1 class="tribe-events-single-event-title">', '</h1>'); ?>

            <?php if (tribe_get_cost()) : ?>
                <div class="tribe-events-cost <?php if (tribe_get_cost() == 0) echo "free-ticket"; ?>">
                    <?php
                    echo esc_html__('Event Price: ', 'divipodcast');
                    echo et_core_intentionally_unescaped(tribe_get_cost(null, true), 'html'); ?>
                </div>
            <?php endif; ?>
        </div>
        <div class="event-overlay"></div>
    </div>

    <div class="divi-podcast-event-content">
        <div class="container">
            <p class="tribe-events-back">
                <a href="<?php echo esc_url(tribe_get_events_link()); ?>"> <?php printf('&laquo; ' . esc_html_x('All %s', '%s Events plural label', 'the-events-calendar'), esc_html($events_label_plural)) ; ?></a>
            </p>

            <!-- Notices -->
            <?php tribe_the_notices() ?>
        </div>

        <?php while (have_posts()) : the_post(); ?>
            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                <!-- Event content -->
                <?php do_action('tribe_events_single_event_before_the_content') ?>
                <div class="tribe-events-single-event-description tribe-events-content">
                    <?php the_content(); ?>
                </div>
                <!-- .atribe-events-single-event-description -->
                <?php do_action('tribe_events_single_event_after_the_content') ?>

                <!-- Event meta -->
                <?php do_action('tribe_events_single_event_before_the_meta') ?>
                <?php tribe_get_template_part('modules/meta'); ?>
                <?php do_action('tribe_events_single_event_after_the_meta') ?>
            </div> <!-- #post-x -->
            <?php if (get_post_type() == Tribe__Events__Main::POSTTYPE && tribe_get_option('showComments', false)) {
                echo "<div class=\"container\">";
                comments_template();
                echo "</div>";
            } ?>
        <?php endwhile; ?>

    </div>


    <!-- Event footer -->
    <div id="tribe-events-footer">
        <div class="container">
            <!-- Navigation -->
            <nav class="tribe-events-nav-pagination"
                 aria-label="<?php printf(esc_html__('%s Navigation', 'the-events-calendar'), esc_html($events_label_singular)); ?>">
                <ul class="tribe-events-sub-nav">
                    <li class="tribe-events-nav-previous"><?php tribe_the_prev_event_link('<span>&laquo;</span> %title%') ?></li>
                    <li class="tribe-events-nav-next"><?php tribe_the_next_event_link('%title% <span>&raquo;</span>') ?></li>
                </ul>
                <!-- .atribe-events-sub-nav -->
            </nav>
        </div>
    </div>
    <!-- #atribe-events-footer -->

</div><!-- #atribe-events-content -->